Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 2723793002: De-Element ScriptLoader (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 3 weeks ago by Nate Chapin
Modified:
6 months, 1 week ago
CC:
chromium-reviews, blink-reviews-html_chromium.org, blink-reviews-style_chromium.org, sof, eae+blinkwatch, loading-reviews+parser_chromium.org, fmalita+watch_chromium.org, fs, blink-reviews-dom_chromium.org, dglazkov+blink, krit, Stephen Chennney, dominicc+watchlist_chromium.org, blink-reviews, gyuyoung2, blink-reviews-frames_chromium.org, kouhei+svg_chromium.org, pdr+svgwatchlist_chromium.org, kinuko+watch, rwlbuis
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

De-Element ScriptLoader BUG= Review-Url: https://codereview.chromium.org/2723793002 Cr-Commit-Position: refs/heads/master@{#458225} Committed: https://chromium.googlesource.com/chromium/src/+/d9ab58e7deab459251bbd1d8b1bce3f2d0a4cd16

Patch Set 1 #

Patch Set 2 : De-Element ScriptLoader #

Patch Set 3 : De-Element ScriptLoader #

Total comments: 45

Patch Set 4 : Fix tests #

Patch Set 5 : Address comments #

Total comments: 2

Patch Set 6 : ScriptLoaderClient->ScriptElementBase, pure virtual interface, add fixme #

Unified diffs Side-by-side diffs Delta from patch set Stats (+457 lines, -371 lines) Patch
M third_party/WebKit/Source/core/dom/BUILD.gn View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/dom/Document.h View 1 2 3 4 5 4 chunks +4 lines, -8 lines 0 comments Download
M third_party/WebKit/Source/core/dom/Document.cpp View 1 2 3 4 5 2 chunks +5 lines, -26 lines 0 comments Download
M third_party/WebKit/Source/core/dom/Element.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/dom/PendingScript.h View 1 2 3 4 5 7 chunks +11 lines, -10 lines 0 comments Download
M third_party/WebKit/Source/core/dom/PendingScript.cpp View 1 2 3 4 5 6 chunks +14 lines, -11 lines 0 comments Download
A + third_party/WebKit/Source/core/dom/ScriptElementBase.h View 1 2 3 4 5 1 chunk +47 lines, -10 lines 0 comments Download
A third_party/WebKit/Source/core/dom/ScriptElementBase.cpp View 1 2 3 4 5 1 chunk +32 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/dom/ScriptLoader.h View 1 2 3 4 5 5 chunks +5 lines, -12 lines 0 comments Download
M third_party/WebKit/Source/core/dom/ScriptLoader.cpp View 1 2 3 4 5 28 chunks +47 lines, -92 lines 0 comments Download
M third_party/WebKit/Source/core/dom/ScriptLoaderClient.h View 1 2 3 4 5 1 chunk +0 lines, -55 lines 0 comments Download
M third_party/WebKit/Source/core/dom/ScriptRunner.cpp View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/dom/ScriptRunnerTest.cpp View 1 2 3 4 5 14 chunks +73 lines, -39 lines 0 comments Download
M third_party/WebKit/Source/core/frame/SubresourceIntegrity.h View 1 2 3 4 2 chunks +4 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/frame/SubresourceIntegrity.cpp View 1 2 3 4 1 chunk +11 lines, -13 lines 0 comments Download
M third_party/WebKit/Source/core/frame/SubresourceIntegrityTest.cpp View 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLOptionElement.cpp View 1 2 3 4 5 2 chunks +1 line, -2 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLScriptElement.h View 1 2 3 4 5 3 chunks +21 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLScriptElement.cpp View 1 2 3 4 5 4 chunks +60 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/core/html/LinkStyle.cpp View 1 chunk +3 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/html/parser/HTMLConstructionSite.cpp View 1 2 3 4 3 chunks +3 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/core/html/parser/HTMLParserScriptRunner.cpp View 1 2 3 4 5 13 chunks +32 lines, -34 lines 0 comments Download
M third_party/WebKit/Source/core/svg/SVGScriptElement.h View 1 2 3 4 5 4 chunks +26 lines, -11 lines 0 comments Download
M third_party/WebKit/Source/core/svg/SVGScriptElement.cpp View 1 2 3 4 5 5 chunks +43 lines, -21 lines 0 comments Download
M third_party/WebKit/Source/core/xml/parser/XMLDocumentParser.cpp View 1 2 3 4 5 4 chunks +10 lines, -5 lines 0 comments Download
Trybot results:  linux_chromium_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   cast_shell_android   linux_chromium_chromeos_ozone_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   ios-simulator-xcode-clang   linux_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   win_chromium_x64_rel_ng   android_cronet   linux_android_rel_ng   linux_chromium_tsan_rel_ng   ios-device-xcode-clang   ios-simulator   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   mac_chromium_rel_ng   cast_shell_linux   win_chromium_rel_ng   linux_chromium_rel_ng   win_clang   mac_chromium_compile_dbg_ng   android_compile_dbg   ios-device   android_clang_dbg_recipe   linux_chromium_chromeos_rel_ng   android_n5x_swarming_rel   win_chromium_compile_dbg_ng   android_arm64_dbg_recipe   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   ios-simulator-xcode-clang   win_clang   win_chromium_rel_ng   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   ios-device   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   ios-simulator   mac_chromium_compile_dbg_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   android_cronet   cast_shell_android   linux_chromium_chromeos_rel_ng   android_clang_dbg_recipe   linux_android_rel_ng   android_n5x_swarming_rel   cast_shell_linux   android_compile_dbg   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   android_arm64_dbg_recipe   chromeos_amd64-generic_chromium_compile_only_ng 
Commit queue not available (can’t edit this change).

Messages

Total messages: 41 (29 generated)
Nate Chapin
https://codereview.chromium.org/2723793002/diff/40001/third_party/WebKit/Source/core/dom/ScriptLoaderClient.h File third_party/WebKit/Source/core/dom/ScriptLoaderClient.h (right): https://codereview.chromium.org/2723793002/diff/40001/third_party/WebKit/Source/core/dom/ScriptLoaderClient.h#newcode37 third_party/WebKit/Source/core/dom/ScriptLoaderClient.h:37: class CORE_EXPORT ScriptLoaderClient : public GarbageCollectedMixin { I'm not ...
6 months, 3 weeks ago (2017-02-28 21:39:29 UTC) #6
hiroshige
Great! https://codereview.chromium.org/2723793002/diff/40001/third_party/WebKit/Source/core/dom/Document.cpp File third_party/WebKit/Source/core/dom/Document.cpp (right): https://codereview.chromium.org/2723793002/diff/40001/third_party/WebKit/Source/core/dom/Document.cpp#newcode5144 third_party/WebKit/Source/core/dom/Document.cpp:5144: DCHECK(m_currentScriptStack.back().get() == script); nit: DCHECK_EQ https://codereview.chromium.org/2723793002/diff/40001/third_party/WebKit/Source/core/dom/Document.h File third_party/WebKit/Source/core/dom/Document.h ...
6 months, 3 weeks ago (2017-03-01 00:58:15 UTC) #17
Nate Chapin
https://codereview.chromium.org/2723793002/diff/40001/third_party/WebKit/Source/core/dom/Document.cpp File third_party/WebKit/Source/core/dom/Document.cpp (right): https://codereview.chromium.org/2723793002/diff/40001/third_party/WebKit/Source/core/dom/Document.cpp#newcode5144 third_party/WebKit/Source/core/dom/Document.cpp:5144: DCHECK(m_currentScriptStack.back().get() == script); On 2017/03/01 00:58:14, hiroshige wrote: > ...
6 months, 3 weeks ago (2017-03-01 21:35:00 UTC) #19
hiroshige
Mostly looks good. Remaining issues from my side are: - Whether ScriptLoaderClient should have default ...
6 months, 3 weeks ago (2017-03-06 22:54:03 UTC) #24
kouhei (in TOK)
Thanks for working on this! https://codereview.chromium.org/2723793002/diff/40001/third_party/WebKit/Source/core/dom/ScriptLoaderClient.h File third_party/WebKit/Source/core/dom/ScriptLoaderClient.h (right): https://codereview.chromium.org/2723793002/diff/40001/third_party/WebKit/Source/core/dom/ScriptLoaderClient.h#newcode46 third_party/WebKit/Source/core/dom/ScriptLoaderClient.h:46: virtual String sourceAttributeValue() const ...
6 months, 1 week ago (2017-03-15 03:31:41 UTC) #25
Nate Chapin
Renamed ScriptElemantBase. PTAL https://codereview.chromium.org/2723793002/diff/40001/third_party/WebKit/Source/core/dom/ScriptLoaderClient.h File third_party/WebKit/Source/core/dom/ScriptLoaderClient.h (right): https://codereview.chromium.org/2723793002/diff/40001/third_party/WebKit/Source/core/dom/ScriptLoaderClient.h#newcode46 third_party/WebKit/Source/core/dom/ScriptLoaderClient.h:46: virtual String sourceAttributeValue() const { return ...
6 months, 1 week ago (2017-03-16 20:15:10 UTC) #30
kouhei (in TOK)
lgtm
6 months, 1 week ago (2017-03-16 23:35:48 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2723793002/100001
6 months, 1 week ago (2017-03-20 17:44:14 UTC) #33
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/412231)
6 months, 1 week ago (2017-03-20 19:25:58 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2723793002/100001
6 months, 1 week ago (2017-03-20 21:31:41 UTC) #37
commit-bot: I haz the power
Committed patchset #6 (id:100001) as https://chromium.googlesource.com/chromium/src/+/d9ab58e7deab459251bbd1d8b1bce3f2d0a4cd16
6 months, 1 week ago (2017-03-20 23:13:08 UTC) #40
hiroshige
6 months, 1 week ago (2017-03-21 03:57:35 UTC) #41
Message was sent while issue was closed.
On 2017/03/20 23:13:08, commit-bot: I haz the power wrote:
> Committed patchset #6 (id:100001) as
>
https://chromium.googlesource.com/chromium/src/+/d9ab58e7deab459251bbd1d8b1bc...

lgtm, thanks!
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b